repo/gentoo:master commit in: dev-python/platformdirs/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786681271.06e1bbfb43763a61fc7d0da13ef208ea72ff0d37.mgorny@gentoo>
commit:     06e1bbfb43763a61fc7d0da13ef208ea72ff0d37
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:43:33 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:11 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06e1bbfb

dev-python/platformdirs: Bump to 4.11.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/platformdirs/Manifest                   |  2 +
 dev-python/platformdirs/platformdirs-4.11.3.ebuild | 50 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index a47233ccfa51..3e89f1dedb21 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -6,3 +6,5 @@ DIST platformdirs-4.11.1.tar.gz 32396 BLAKE2B cb0e931f7b55b1638af9eca532438adabb
 DIST platformdirs-4.11.1.tar.gz.provenance 9646 BLAKE2B aed1b9aa643e742cf4b91b16ea0d623eda509b960eb205b75a527ddded6a422d89b447995f0d66ce6d0afb1787e70aa60a7c15c59e48afb8cbaaad7922329dcf SHA512 93ad85a77007195d8b5b5884ed3909119db30de48116d485d6f41676188f24b5fef6f3698819b22cc6a4c7a33a68bb0f3987265ed420a285843fa318cb327fee
 DIST platformdirs-4.11.2.tar.gz 32716 BLAKE2B aa8ccdb42e4d16a14885e3a16a0fecdae2074a77657490acb419eef82539f0b111c9710c0c48879272983edb82f5b8dd869032b0d5cc4410010549e801f8a0ef SHA512 9a01bc715cba8e577513a21388096e8c9c41922bf12c12c41258ec99118924a05b53a7079498b1b50c70c94c6d076d7b415c1c0d23577050c1fb259415239c82
 DIST platformdirs-4.11.2.tar.gz.provenance 9963 BLAKE2B e2692a7daea8ab380d65c250f02efcf1b150191fd92daaccc1c7d102fd0cc612d0bbdfa5629ba34b4cb52b64b5b9b3aa25a13a004dcbe91288b178abca673b30 SHA512 ddb487dca89c1a08ed8cdc29c47f960da6abb91f87ff756f276b4f4bdca8a2f396b4327d5f7e9d26e4b4c6721a15a40492eebf0aa53d2d2a656d3a25febc7bc2
+DIST platformdirs-4.11.3.tar.gz 33050 BLAKE2B c838822e0d5a9391d13fbf240c3006ade7094c2a2ad7c5b9904fce23c48ea9db6e851d04c887a80f37fee3bd0612e010ae58516751c050fb881c8ec6da1ab22e SHA512 0d90ccbb4f75bc2c0eda42223d475c688c59214fd696ff4690abd022322d9883816bc7c33765da8c9a792afc04ab21faa08c69dcbe027f7cbdcb4087e5baa2a1
+DIST platformdirs-4.11.3.tar.gz.provenance 9777 BLAKE2B 9b4f683aaab5b99f085f560e4ff21e3a9533b892e974e8e39aef047ee2021ff416ff88af6db98c6fd284ef592a926b425c8b7c05f5cb0f4b8d5c23bb59ac8229 SHA512 97833d43052e8b2c303f204f8291cfb39bc1b399c2ecfbeabe18b54e5d20bb8920c802013fc43060c9e4f2ed7f359c5a5c763dc8cb14e9ba8bc52f328a64fa34

diff --git a/dev-python/platformdirs/platformdirs-4.11.3.ebuild b/dev-python/platformdirs/platformdirs-4.11.3.ebuild
new file mode 100644
index 000000000000..42ae74868d32
--- /dev/null
+++ b/dev-python/platformdirs/platformdirs-4.11.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/tox-dev/platformdirs
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
+HOMEPAGE="
+	https://pypi.org/project/platformdirs/
+	https://github.com/tox-dev/platformdirs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+	test? (
+		dev-python/appdirs[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_configure() {
+	grep -q 'build-backend = "hatchling' pyproject.toml ||
+		die "Upstream changed build-backend, recheck"
+	# write a custom pyproject.toml to ease setuptools bootstrap
+	cat > pyproject.toml <<-EOF || die
+		[build-system]
+		requires = ["flit_core >=3.2,<4"]
+		build-backend = "flit_core.buildapi"
+
+		[project]
+		name = "${PN}"
+		version = "${PV}"
+		description = 'A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".'
+	EOF
+	# sigh
+	cat > src/platformdirs/version.py <<-EOF || die
+		__version__ = version = '${PV}'
+		__version_tuple__ = version_tuple = (${PV//./, })
+	EOF
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.